IPSW-MACHO-SEARCH(1)

NAME
ipsw-macho-search - Find Mach-O files for given search criteria

SYNOPSIS
ipsw macho search [flags]

DESCRIPTION
Find Mach-O files for given search criteria

OPTIONS
-g, --category=""
    Search for specific ObjC category regex

-c, --class=""
    Search for specific ObjC class regex

-h, --help[=false]
    help for search

-i, --import=""
    Search for specific import regex

-r, --ivar=""
    Search for specific ObjC instance variable regex

-t, --launch-const=""
    Search for launch constraint regex

-l, --load-command=""
    Search for specific load command regex

--pem-db=""
    AEA pem DB JSON file

-p, --protocol=""
    Search for specific ObjC protocol regex

-x, --section=""
    Search for specific section regex

-s, --sel=""
    Search for specific ObjC selector regex

-m, --sym=""
    Search for specific symbol regex

-u, --uuid=""
    Search for MachO by UUID

OPTIONS INHERITED FROM PARENT COMMANDS
--color[=false]
    colorize output

--config=""
    config file (default is $HOME/.config/ipsw/config.yaml)

--no-color[=false]
    disable colorize output

-V, --verbose[=false]
    verbose output

SEE ALSO
ipsw-macho(1)

HISTORY
7-May-2025 Auto generated by spf13/cobra